# Glib::StaticPrivate< T > Struct Template Reference
[Threads]

List of all members.

## Public Types

typedef void(* | DestroyNotifyFunc )(void*)

## Public Member Functions

T* | get ()
void | set (T* data, DestroyNotifyFunc notify_func=&StaticPrivate< T >::delete_ptr)
GStaticPrivate* | gobj ()

## Static Public Member Functions

static void | delete_ptr (void* data)

## Related Functions

(Note that these are not member functions.)
| GLIBMM_STATIC_PRIVATE_INIT
| Initializer macro for Glib::StaticPrivate.

### template <class T>
struct Glib::StaticPrivate< T >

## Member Typedef Documentation

template <class T >

typedef void(* Glib::StaticPrivate< T >::DestroyNotifyFunc)(void*)

## Member Function Documentation

template <class T >

static void Glib::StaticPrivate< T >::delete_ptr | ( | void * | data | ) | `[static]`

template <class T >

T* Glib::StaticPrivate< T >::get | ( |  | ) | `[inline]`

template <class T >

GStaticPrivate* Glib::StaticPrivate< T >::gobj | ( |  | ) | `[inline]`

template <class T >

void Glib::StaticPrivate< T >::set | ( | T * | data,
|  | DestroyNotifyFunc | notify_func = `&StaticPrivate< T >::delete_ptr` |
| ) |  |  | `[inline]`

## Friends And Related Function Documentation

template <class T >

GLIBMM_STATIC_PRIVATE_INIT`[related]`

Initializer macro for Glib::StaticPrivate.

The documentation for this struct was generated from the following file:

- glibmm/thread.h